/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/***********************************************************************
* File: inline_body.c
*    Body of inline functions
*
* - $Rev: $
* - $Date: 2017-08-10T16:36:40+09:00 $
************************************************************************/

#define  R_OSPL_MAKE_INLINE_BODY
#include  "use_list.h"
#include  "mcu_board_select.h"
#include  "r_ospl.h"
#include  "r_ospl_private.h"
#include  "r_ospl_os_less.h"
#include  "iodefine.h" /* for inline function in "clib_registers.h" */
#include  "iobitmasks/dmac_rm_iobitmask.h"
#include  "iobitmasks/pfv_iobitmask.h"
#include  "clib_registers.h"
#include  "clib_drivers_inline.h"
#include  "frame_buffer_inline.h"
#ifdef  USE_LIST_WINDOW_SURFACES
#include  "window_surfaces.h"
#endif

/* Add #include, if inline functions were undefined reference. */
