/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/******************************************************************************
* File: r_pfv_user.h
*    Pixel Format Converter (PFV) - Porting Layer.
*
* - $Version: $ (=PFV_VERSION)
* - $ModuleRevision: {Masters}\PFV_DMAC\PFV_DMAC\23_RStyled $
* - $Rev: $
* - $Date: 2017-08-24T18:32:46+09:00 $
******************************************************************************/


/* This is declaring header file without include */


#ifndef DECLARE_PFV_USER_H
#define DECLARE_PFV_USER_H


/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
/* Don't include in declaring header file */

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */


    /******************************************************************************
    Typedef definitions
    ******************************************************************************/

    /******************************************************************************
    Macro definitions
    ******************************************************************************/

#define  PFV_PARAMETER_CHECK   1    /*[PFV_PARAMETER_CHECK] 0 or 1 */


    /******************************************************************************
    Variable Externs
    ******************************************************************************/

    /******************************************************************************
    Functions Prototypes
    ******************************************************************************/

#ifdef __cplusplus
}  /* End of extern "C" */
#endif /* __cplusplus */

#endif  /* DECLARE_PFV_USER_H */


