/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2012 - 2014 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/******************************************************************************
* $FileName: r_pfv_sample.h $
* $Module: PFV $ $PublicVersion: 1.00 $ (=PFV_VERSION)
* $Rev: 52 $
* $Date: 2017-02-13T16:24:01+09:00 $
* Description  : Sample API
******************************************************************************/

#ifndef R_PFV_SAMPLE_H
#define R_PFV_SAMPLE_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include  "use_list.h"
#include  "r_ospl_typedef.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */


    /******************************************************************************
    Typedef definitions
    ******************************************************************************/

    /******************************************************************************
    Macro definitions
    ******************************************************************************/

    /******************************************************************************
    Variable Externs
    ******************************************************************************/

    /******************************************************************************
    Functions Prototypes
    ******************************************************************************/

    errnum_t  R_Sample_PFV_PIO( int32_t argc, char_t * const*  argv );
    errnum_t  R_Sample_PFV_DMAC( int32_t argc, char_t * const*  argv );

#ifdef  USE_LIST_WINDOW_SURFACES
    errnum_t  R_Sample_PFV_DMAC_Image( int32_t argc, char_t * const*  argv );
#endif


#ifdef __cplusplus
}  /* End of extern "C" */
#endif /* __cplusplus */

#endif
